Page MenuHomeFreeBSD

handbook: update mirrors to include git
ClosedPublic

Authored by imp on Mar 14 2021, 1:12 AM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 15 2022, 5:39 PM
Unknown Object (File)
Dec 11 2022, 5:50 PM
Unknown Object (File)
Dec 9 2022, 7:53 AM
Unknown Object (File)
Nov 30 2022, 3:14 AM

Details

Summary

Pull most of URLs.md from my freebsd-git-docs github repo and reformat
to asciidoc.

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Mar 14 2021, 1:12 AM
imp created this revision.
documentation/content/en/books/handbook/mirrors/_index.adoc
395

Maybe "base system source code"?

408

Subversion?

444

do we want to expand git here with example URL / directory?

468

Can we put an entry across both columns for the headings ("src", "ports"), or maybe make this something like Web-based repository browser - doc repository

478

Can we give advice on what we mean by "the future" - e.g. after svn is retired, ...?

486

Do we want to mark up [-b branch] indicating it is optional?

499

svn.FreeBSD.org?

508

This looks like literal lwdir, do we want to make it more clear that this is a placeholder

555

mirrors

610

For now, we can mention that these will likely change

A few nits and typos I spotted in my first readthrough, plus some questions.

documentation/content/en/books/handbook/mirrors/_index.adoc
408
444

Isn't "local working copy" SVN parlance? I thought with Git it was called a clone instead.

482

Again, SVN vocabulary

486

Isn't there more to it than that? To get the r* numbers imported from SVN? (I'm on the fence with this. On the con side, it may be unneeded complication, on the pro side, sometimes non-contributors need to refer to r* numbers.)

522
555
559
587
632
640
659

If I didn't miss anything, now we have certificate installed in /usr/share/certs/trusted Maybe mention installing security/ca_root_nss only is needed on older versions?

documentation/content/en/books/handbook/mirrors/_index.adoc
399

Maybe: portsnap --> net/gitup

debdrup added inline comments.
documentation/content/en/books/handbook/mirrors/_index.adoc
399

Ports hasn't yet transistioned to git, so this is a bit premature.

486

There's a section below which covers daily usage, where the notes (which store the svn revision IDs) are fetched.

I think it would be better to have a single section which describes the flow with explanations, rather than two sections where one has explanations and another has the flow, as this can lead to confusion.

imp marked 14 inline comments as done.

rebase and plow in feedback so far.

documentation/content/en/books/handbook/mirrors/_index.adoc
440
506
584
726–728

"Older" meaning? (IIRC, it's only 11.4.)

imp marked 13 inline comments as done.Mar 14 2021, 10:29 PM

all these look good. Will change.

documentation/content/en/books/handbook/mirrors/_index.adoc
399

This was a conscious choice. portsnap is still the right thing to use.

408

Also, this is only for older systems since Kyle committed the root CAs to base.

444

working tree. And no example. not here, we do just below.

468

Too much of a hassle for this round. Spending a ton of time on this (which it needs to look good, imho), will make the rest of these changes later. I'll do that in a followup to get the rest of the things in .

478

I'm unsure when lwshu plans to retire things, so I can't be super specific...
I'll change it to 'sometime after the switch to git is complete' which is better on many levels.

486

No. There's nothing more to it. That's all you need.

There's a different chapter that goes into all the details. This is just the basics.

508

Yea, unsure how to do that in asciidoc.
Will do something if someone can suggest how to do things inside a literal.

522

This likely should be a link.

imp marked 5 inline comments as done.

Fold in Pau's suggestions

Latest version looks OK to me after a semi-cursory 3rd read.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 14 2021, 11:48 PM
This revision was automatically updated to reflect the committed changes.

OK. Pushed to the repo. Further changes will need to be with new reviews.